NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::PenetrationRequest Features::ShipDesign::PenetrationRequest@endlink builder <br> To create a new instance of this class, use @link Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder @endlink <br>
Default values. More...
Public Types | |
enum | RequestDialogType { RequestDialogTypeUnknown, RequestDialogTypeCreate, RequestDialogTypeModify, RequestDialogTypeRevise, RequestDialogTypeAssociate, RequestDialogTypeEditAssociate } |
Represents the dialog type. More... | |
Public Member Functions | |
void | AddAdjacentStructure (NXOpen::Body *adjacentStructure) |
Adds adjacent structures Created in NX8.5.0. | |
void | AddNonIntersectedStructure (NXOpen::Body *structure) |
Adds nonintersected structures Created in NX8.5.0. | |
NXString | CompensationNumber () |
Returns the compensation number Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType | CompensationType () |
Returns the compensation type Created in NX8.0.0. | |
NXOpen::Expression * | CornerRadius () |
Returns the corner radius expression Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | CoutoutType () |
Returns the coutout type Created in NX8.0.0. | |
bool | Cut () |
Returns the cut Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType | DialogType () |
Returns the dialog type Created in NX8.5.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter expression Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | DirectionType () |
Returns the direction Created in NX8.0.0. | |
NXString | DueDate () |
Returns the due date Created in NX8.0.0. | |
std::vector< NXString > | GetRequestDescription () |
Returns the description. | |
bool | Hanger () |
Returns the hanger Created in NX8.0.0. | |
NXString | HangerNumber () |
Returns the hanger number Created in NX8.0.0. | |
NXOpen::Expression * | Height () |
Returns the height expression Created in NX8.0.0. | |
NXString | HoleSubType () |
Returns the hole sub-type Created in NX8.5.0. | |
NXString | HoleType () |
Returns the hole type Created in NX8.5.0. | |
NXOpen::Direction * | HorizontalDirection () |
Returns the horizontal direction Created in NX8.0.0. | |
NXOpen::Sketch * | ModifiedSketch () |
Returns the modified sketch Created in NX8.5.0. | |
NXOpen::Expression * | Offset () |
Returns the offset expression Created in NX8.0.0. | |
NXOpen::Direction * | Orientation () |
Returns the orientation Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType | PenetrationType () |
Returns the penetration type Created in NX8.0.0. | |
NXOpen::Point * | Point () |
Returns the penetrating point Created in NX8.0.0. | |
NXOpen::Expression * | Radius () |
Returns the radius expression Created in NX8.0.0. | |
void | RemoveAllAdjacentStructures () |
Removes all adjacent structures Created in NX8.5.0. | |
void | RemoveNonIntersectedStructures () |
Removes all nonintersected structures Created in NX8.5.0. | |
NXString | RequestName () |
Returns the request name Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::RequestType | RequestType () |
Returns the request type Created in NX8.0.0. | |
NXOpen::Routing::RouteObjectCollector * | RouteObjectCollector () |
Returns the route object collector Created in NX8.0.0. | |
NXOpen::Routing::RouteObjectCollector * | RoutePenetrating () |
Returns the route penetrating Created in NX8.0.0. | |
NXOpen::NXObject * | SelectedSegment () |
Returns the selected segment Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectionCompensation () |
Returns the selection compensation Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectionHanger () |
Returns the selection hanger Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectionStructure () |
Returns the selection structure Created in NX8.0.0. | |
void | SetCompensationNumber (const NXString &stringCompensationNumber) |
Sets the compensation number Created in NX8.0.0. | |
void | SetCompensationNumber (const char *stringCompensationNumber) |
Sets the compensation number Created in NX8.0.0. | |
void | SetCompensationType (NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType enumCompensationType) |
Sets the compensation type Created in NX8.0.0. | |
void | SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType) |
Sets the coutout type Created in NX8.0.0. | |
void | SetCut (bool toggleCut) |
Sets the cut Created in NX8.0.0. | |
void | SetDialogType (NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType dialogType) |
Sets the dialog type Created in NX8.5.0. | |
void | SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection) |
Sets the direction Created in NX8.0.0. | |
void | SetDueDate (const NXString &stringDueDate) |
Sets the due date Created in NX8.0.0. | |
void | SetDueDate (const char *stringDueDate) |
Sets the due date Created in NX8.0.0. | |
void | SetHanger (bool toggleHanger) |
Sets the hanger Created in NX8.0.0. | |
void | SetHangerNumber (const NXString &stringHangerNumber) |
Sets the hanger number Created in NX8.0.0. | |
void | SetHangerNumber (const char *stringHangerNumber) |
Sets the hanger number Created in NX8.0.0. | |
void | SetHoleSubType (const NXString &stringHoleType) |
Sets the hole sub-type Created in NX8.5.0. | |
void | SetHoleSubType (const char *stringHoleType) |
Sets the hole sub-type Created in NX8.5.0. | |
void | SetHoleType (const NXString &stringHoleType) |
Sets the hole type Created in NX8.5.0. | |
void | SetHoleType (const char *stringHoleType) |
Sets the hole type Created in NX8.5.0. | |
void | SetHorizontalDirection (NXOpen::Direction *vectorHorizontalDirection) |
Sets the horizontal direction Created in NX8.0.0. | |
void | SetModifiedSketch (NXOpen::Sketch *modifiedSketch) |
Sets the modified sketch Created in NX8.5.0. | |
void | SetOrientation (NXOpen::Direction *vectorOrientation) |
Sets the orientation Created in NX8.0.0. | |
void | SetPenetrationType (NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType enumPenetrationType) |
Sets the penetration type Created in NX8.0.0. | |
void | SetPoint (NXOpen::Point *pointPenetrating) |
Sets the penetrating point Created in NX8.0.0. | |
void | SetRequestDescription (const std::vector< NXString > &stringDesc) |
Sets the description Created in NX8.0.0. | |
void | SetRequestName (const NXString &stringName) |
Sets the request name Created in NX8.0.0. | |
void | SetRequestName (const char *stringName) |
Sets the request name Created in NX8.0.0. | |
void | SetRequestType (NXOpen::Features::ShipDesign::PenetrationRequest::RequestType enumRequestType) |
Sets the request type Created in NX8.0.0. | |
void | SetSelectedSegment (NXOpen::NXObject *selectedSegment) |
Sets the selected segment Created in NX8.0.0. | |
void | SetSpill (bool toggleSpill) |
Sets the spill Created in NX8.0.0. | |
NXOpen::Section * | Sketch () |
Returns the sketch Created in NX8.0.0. | |
bool | Spill () |
Returns the spill Created in NX8.0.0. | |
NXOpen::Expression * | Width () |
Returns the width expression Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::PenetrationRequest Features::ShipDesign::PenetrationRequest@endlink builder <br> To create a new instance of this class, use @link Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationRequestBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CompensationType |
NotRequired |
CornerRadius.Value |
0 (millimeters part), 0 (inches part) |
CoutoutType |
Circular |
Cut |
0 |
Diameter.Value |
0 (millimeters part), 0 (inches part) |
DirectionType |
PerpendiculartoStructure |
Hanger |
0 |
Height.Value |
0 (millimeters part), 0 (inches part) |
Offset.Value |
0 (millimeters part), 0 (inches part) |
PenetrationType |
PenetratingObject |
Radius.Value |
0 (millimeters part), 0 (inches part) |
RequestType |
Single |
Spill |
0 |
Width.Value |
0 (millimeters part), 0 (inches part) |
Created in NX8.0.0.
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::AddAdjacentStructure | ( | NXOpen::Body * | adjacentStructure | ) |
Adds adjacent structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
adjacentStructure | adjacentstructure |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::AddNonIntersectedStructure | ( | NXOpen::Body * | structure | ) |
Adds nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
structure | structure |
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CompensationNumber | ( | ) |
Returns the compensation number
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CompensationType | ( | ) |
Returns the compensation type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CornerRadius | ( | ) |
Returns the corner radius expression
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::CoutoutType | ( | ) |
Returns the coutout type
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Cut | ( | ) |
Returns the cut
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DialogType | ( | ) |
Returns the dialog type
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Diameter | ( | ) |
Returns the diameter expression
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DirectionType | ( | ) |
Returns the direction
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::DueDate | ( | ) |
Returns the due date
Created in NX8.0.0.
License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::PenetrationRequestBuilder::GetRequestDescription | ( | ) |
Returns the description.
bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Hanger | ( | ) |
Returns the hanger
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HangerNumber | ( | ) |
Returns the hanger number
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Height | ( | ) |
Returns the height expression
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HoleSubType | ( | ) |
Returns the hole sub-type
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HoleType | ( | ) |
Returns the hole type
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::HorizontalDirection | ( | ) |
Returns the horizontal direction
Created in NX8.0.0.
License requirements : None
NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::ModifiedSketch | ( | ) |
Returns the modified sketch
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Offset | ( | ) |
Returns the offset expression
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Orientation | ( | ) |
Returns the orientation
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::PenetrationType | ( | ) |
Returns the penetration type
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Point | ( | ) |
Returns the penetrating point
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Radius | ( | ) |
Returns the radius expression
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RemoveAllAdjacentStructures | ( | ) |
Removes all adjacent structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RemoveNonIntersectedStructures | ( | ) |
Removes all nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
NXString NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestName | ( | ) |
Returns the request name
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::RequestType NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestType | ( | ) |
Returns the request type
Created in NX8.0.0.
License requirements : None
NXOpen::Routing::RouteObjectCollector* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RouteObjectCollector | ( | ) |
Returns the route object collector
Created in NX8.0.0.
License requirements : None
NXOpen::Routing::RouteObjectCollector* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RoutePenetrating | ( | ) |
Returns the route penetrating
Created in NX8.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectedSegment | ( | ) |
Returns the selected segment
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionCompensation | ( | ) |
Returns the selection compensation
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionHanger | ( | ) |
Returns the selection hanger
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SelectionStructure | ( | ) |
Returns the selection structure
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationNumber | ( | const NXString & | stringCompensationNumber | ) |
Sets the compensation number
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringCompensationNumber | stringcompensationnumber |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationNumber | ( | const char * | stringCompensationNumber | ) |
Sets the compensation number
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringCompensationNumber | stringcompensationnumber |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCompensationType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::CompensationType | enumCompensationType | ) |
Sets the compensation type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumCompensationType | enumcompensationtype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCoutoutType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | enumCoutoutType | ) |
Sets the coutout type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumCoutoutType | enumcoutouttype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetCut | ( | bool | toggleCut | ) |
Sets the cut
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
toggleCut | togglecut |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDialogType | ( | NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType | dialogType | ) |
Sets the dialog type
Created in NX8.5.0.
License requirements : nx_ship_concept ("Ship Concept")
dialogType | dialogtype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDirectionType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | enumDirection | ) |
Sets the direction
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumDirection | enumdirection |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDueDate | ( | const NXString & | stringDueDate | ) |
Sets the due date
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringDueDate | stringduedate |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetDueDate | ( | const char * | stringDueDate | ) |
Sets the due date
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringDueDate | stringduedate |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHanger | ( | bool | toggleHanger | ) |
Sets the hanger
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
toggleHanger | togglehanger |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHangerNumber | ( | const NXString & | stringHangerNumber | ) |
Sets the hanger number
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringHangerNumber | stringhangernumber |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHangerNumber | ( | const char * | stringHangerNumber | ) |
Sets the hanger number
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
stringHangerNumber | stringhangernumber |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleSubType | ( | const NXString & | stringHoleType | ) |
Sets the hole sub-type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleSubType | ( | const char * | stringHoleType | ) |
Sets the hole sub-type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleType | ( | const NXString & | stringHoleType | ) |
Sets the hole type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHoleType | ( | const char * | stringHoleType | ) |
Sets the hole type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetHorizontalDirection | ( | NXOpen::Direction * | vectorHorizontalDirection | ) |
Sets the horizontal direction
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
vectorHorizontalDirection | vectorhorizontaldirection |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetModifiedSketch | ( | NXOpen::Sketch * | modifiedSketch | ) |
Sets the modified sketch
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
modifiedSketch | modifiedsketch |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetOrientation | ( | NXOpen::Direction * | vectorOrientation | ) |
Sets the orientation
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
vectorOrientation | vectororientation |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetPenetrationType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::PenetrationType | enumPenetrationType | ) |
Sets the penetration type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumPenetrationType | enumpenetrationtype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetPoint | ( | NXOpen::Point * | pointPenetrating | ) |
Sets the penetrating point
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
pointPenetrating | pointpenetrating |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestDescription | ( | const std::vector< NXString > & | stringDesc | ) |
Sets the description
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringDesc | stringdesc |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestName | ( | const NXString & | stringName | ) |
Sets the request name
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringName | stringname |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestName | ( | const char * | stringName | ) |
Sets the request name
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringName | stringname |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetRequestType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::RequestType | enumRequestType | ) |
Sets the request type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumRequestType | enumrequesttype |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetSelectedSegment | ( | NXOpen::NXObject * | selectedSegment | ) |
Sets the selected segment
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
selectedSegment | selectedsegment |
void NXOpen::Features::ShipDesign::PenetrationRequestBuilder::SetSpill | ( | bool | toggleSpill | ) |
Sets the spill
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
toggleSpill | togglespill |
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Sketch | ( | ) |
Returns the sketch
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Spill | ( | ) |
Returns the spill
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationRequestBuilder::Width | ( | ) |
Returns the width expression
Created in NX8.0.0.
License requirements : None